#ifndef PARAMSWIDGETFIXEDLENGTHLM_H
#define PARAMSWIDGETFIXEDLENGTHLM_H

#include "paramswidget.h"

namespace Ui {
class ParamsWidgetFixedLengthLm;
}

class ParamsWidgetFixedLengthLm : public ParamsWidget
{
    Q_OBJECT

public:
    explicit ParamsWidgetFixedLengthLm(QWidget *parent = 0);
    ~ParamsWidgetFixedLengthLm();
    virtual SummAlgorithmParams *getParams();
    virtual void setParams(SummAlgorithmParams *params);

private slots:
    void on_segmentLengthInput_valueChanged(int arg1);
    void on_segmentsCountInput_valueChanged(int arg1);
    void on_featureRowInput_valueChanged(int arg1);

private:
    Ui::ParamsWidgetFixedLengthLm *ui;
};

#endif // PARAMSWIDGETFIXEDLENGTHLM_H
